Class | Nokogiri::EncodingHandler
In: | ext/nokogiri/xml_sax_push_parser.c
Parent: | Object

call-seq: name

Get the name of this EncodingHandler

### Methods

[] alias clear_aliases! delete name

### Public Class methods

Nokogiri::EncodingHandler.[](name)

Get the encoding handler for `name`

Nokogiri::EncodingHandler.alias(from, to)

Alias encoding handler with name `from` to name `to`

Nokogiri::EncodingHandler.clear_aliases!

Remove all encoding aliases.

Nokogiri::EncodingHandler.delete(name)

Delete the encoding alias named `name`

### Public Instance methods

name

Get the name of this EncodingHandler

[Validate]